Class CreateBuilder

java.lang.Object
com.dropbox.core.v2.filerequests.CreateBuilder

public class CreateBuilder extends Object
The request builder returned by DbxUserFileRequestsRequests.createBuilder(java.lang.String, java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withDeadline

      public CreateBuilder withDeadline(FileRequestDeadline deadline)
      Set value for optional field.
      Parameters:
      deadline - The deadline for the file request. Deadlines can only be set by Professional and Business accounts.
      Returns:
      this builder
    • withOpen

      public CreateBuilder withOpen(Boolean open)
      Set value for optional field.

      If left unset or set to null, defaults to true.

      Parameters:
      open - Whether or not the file request should be open. If the file request is closed, it will not accept any file submissions, but it can be opened later. Defaults to true when set to null.
      Returns:
      this builder
    • withDescription

      public CreateBuilder withDescription(String description)
      Set value for optional field.
      Parameters:
      description - A description of the file request.
      Returns:
      this builder
    • withVideoProjectId

      public CreateBuilder withVideoProjectId(String videoProjectId)
      Set value for optional field.
      Parameters:
      videoProjectId - If this request was created from video project, its id.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      CreateFileRequestErrorException
      DbxException